Page MenuHomePhabricator

HHVM docker images are failing due to hhbc repository
Closed, ResolvedPublic

Description

02:36:33 + composer --ansi validate --no-check-publish
02:36:33 Failed to initialize central HHBC repository:
02:36:33   Failed to open /srv/jenkins-workspace/workspace/mwgate-composer-hhvm-docker/central.hhbc: 14 - unable to open database file
02:36:33   Failed to open /nonexistent/.hhvm.hhbc: 14 - unable to open database file

https://integration.wikimedia.org/ci/job/mwgate-composer-hhvm-docker/9/console

Event Timeline

Legoktm triaged this task as Unbreak Now! priority.Dec 20 2017, 2:37 AM
Legoktm created this task.
Restricted Application added subscribers: Liuxinyu970226, Jay8g, TerraCodes, Aklapper. · View Herald TranscriptDec 20 2017, 2:37 AM

Change 399373 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Move composer-hhvm jobs back to Nodepool

https://gerrit.wikimedia.org/r/399373

Has this been an issue since these images were introduced?
If not, shouldn't we have an old version of the image to rollback to?

Sorry I completely failed even do a simple test :( Reverted back to Nodepool instances for now.

/srv/jenkins-workspace/workspace/mwgate-composer-hhvm-docker/central.hhbc is strange. That seems to indicate some env variable is passed from the host to the container bah.

Did we end up passing all env vars through? or just a whitelist still?

Change 399373 merged by jenkins-bot:
[integration/config@master] Move composer-hhvm jobs back to Nodepool

https://gerrit.wikimedia.org/r/399373

hashar closed this task as Resolved.Dec 20 2017, 10:36 AM
hashar claimed this task.

I moved the jobs back to Nodepool.

Change 399406 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] docker: polish hhvm container

https://gerrit.wikimedia.org/r/399406

Change 399406 merged by jenkins-bot:
[integration/config@master] docker: polish hhvm container

https://gerrit.wikimedia.org/r/399406

Mentioned in SAL (#wikimedia-releng) [2017-12-20T20:51:54Z] <hashar> Rebuilding hhvm Docker containers https://gerrit.wikimedia.org/r/399406 | T183324

hashar reopened this task as Open.Dec 20 2017, 10:01 PM
hashar lowered the priority of this task from Unbreak Now! to High.

The jobs are back to Nodepool so the workflow is not broken anymore. However I gotta polish up the Docker container :)

Change 399481 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] docker: hhvm set HHVM_REPO_CENTRAL_PATH

https://gerrit.wikimedia.org/r/399481

Change 399481 merged by Hashar:
[integration/config@master] docker: hhvm set HHVM_REPO_CENTRAL_PATH

https://gerrit.wikimedia.org/r/399481

Change 399532 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Do not pass HHVM_REPO_CENTRAL_PATH to Docker

https://gerrit.wikimedia.org/r/399532

I have rebuild the build mentioned originally in this task and it passed just fine: https://integration.wikimedia.org/ci/job/mwgate-composer-hhvm-docker/42/console

The hhvm images definitely missed a bit of configuration :-/ Will look at generalizing it tomorrow.

Change 399532 merged by jenkins-bot:
[integration/config@master] Do not pass HHVM_REPO_CENTRAL_PATH to Docker

https://gerrit.wikimedia.org/r/399532

Change 399647 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Switch avro-php and jobrunner HHVM job to docker

https://gerrit.wikimedia.org/r/399647

Change 399647 merged by jenkins-bot:
[integration/config@master] Switch avro-php and jobrunner HHVM job to docker

https://gerrit.wikimedia.org/r/399647

Change 399651 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Move avro-php back to Nodepool HHVM

https://gerrit.wikimedia.org/r/399651

Change 399651 merged by Hashar:
[integration/config@master] Move avro-php back to Nodepool HHVM

https://gerrit.wikimedia.org/r/399651

hashar closed this task as Resolved.Dec 21 2017, 3:48 PM

I guess that is totally solved. I will migrate the rest of the composer*hhvm jobs tonight.